/*
 * talkatu
 * Copyright (C) 2017-2018 Gary Kramlich <grim@reaperworld.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __GI_SCANNER__ /* hide this bit from g-ir-scanner */
#if !defined(TALKATU_GLOBAL_HEADER_INSIDE) && !defined(TALKATU_COMPILATION)
#error "only <talkatu.h> may be included directly"
#endif
#endif /* __GI_SCANNER__ */

#ifndef TALKATU_ACTION_H
#define TALKATU_ACTION_H

#include <gio/gio.h>
#include <gtk/gtk.h>

#define TALKATU_ACTION_FORMAT_BOLD          ("format-bold")
#define TALKATU_ACTION_FORMAT_ITALIC        ("format-italic")
#define TALKATU_ACTION_FORMAT_UNDERLINE     ("format-underline")
#define TALKATU_ACTION_FORMAT_STRIKETHROUGH ("format-strikethrough")
#define TALKATU_ACTION_FORMAT_GROW          ("format-grow")
#define TALKATU_ACTION_FORMAT_SHRINK        ("format-shrink")
#define TALKATU_ACTION_FORMAT_RESET         ("format-reset")

#define TALKATU_ACTION_INSERT_LINK          ("insert-link")

G_BEGIN_DECLS

void talkatu_action_add_bold(GActionMap *map, GtkTextBuffer *buffer);
void talkatu_action_add_italic(GActionMap *map, GtkTextBuffer *buffer);
void talkatu_action_add_underline(GActionMap *map, GtkTextBuffer *buffer);
void talkatu_action_add_strikethrough(GActionMap *map, GtkTextBuffer *buffer);
void talkatu_action_add_grow(GActionMap *map, GtkTextBuffer *buffer);
void talkatu_action_add_shrink(GActionMap *map, GtkTextBuffer *buffer);
void talkatu_action_add_reset(GActionMap *map, GtkTextBuffer *buffer);

void talkatu_action_add_link(GActionMap *map, GtkTextBuffer *buffer);

const gchar *talkatu_action_name_for_tag_name(const gchar *tag_name);

G_END_DECLS

#endif /* TALKATU_ACTION_H */
