/*
 * talkatu
 * Copyright (C) 2017-2018 Gary Kramlich <grim@reaperworld.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __GI_SCANNER__ /* hide this bit from g-ir-scanner */
#if !defined(TALKATU_GLOBAL_HEADER_INSIDE) && !defined(TALKATU_COMPILATION)
#error "only <talkatu.h> may be included directly"
#endif
#endif /* __GI_SCANNER__ */

#ifndef TALKATU_HISTORY_H
#define TALKATU_HISTORY_H

#include <gtk/gtk.h>

#define TALKATU_TYPE_HISTORY            (talkatu_history_get_type())
#define TALKATU_HISTORY(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), TALKATU_TYPE_HISTORY, TalkatuHistory))
#define TALKATU_HISTORY_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass), TALKATU_TYPE_HISTORY, TalkatuHistoryClass))
#define TALKATU_IS_HISTORY(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), TALKATU_TYPE_HISTORY))
#define TALKATU_IS_HISTORY_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass), TALKATU_TYPE_HISTORY))
#define TALKATU_HISTORY_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj), TALKATU_TYPE_HISTORY, TalkatuHistoryClass))

typedef struct _TalkatuHistory           TalkatuHistory;
typedef struct _TalkatuHistoryClass      TalkatuHistoryClass;

#include <glib.h>
#include <glib-object.h>

#include <gtk/gtk.h>

#include <talkatu/talkatuview.h>

struct _TalkatuHistory {
	TalkatuView parent;

	void (*_talkatu_reserved1)(void);
	void (*_talkatu_reserved2)(void);
	void (*_talkatu_reserved3)(void);
	void (*_talkatu_reserved4)(void);
};

struct _TalkatuHistoryClass {
	TalkatuViewClass parent;

	void (*_talkatu_reserved1)(void);
	void (*_talkatu_reserved2)(void);
	void (*_talkatu_reserved3)(void);
	void (*_talkatu_reserved4)(void);
};

G_BEGIN_DECLS

GType talkatu_history_get_type(void);

GtkWidget *talkatu_history_new(void);

G_END_DECLS

#endif /* TALKATU_HISTORY_H */
