/*
 * talkatu
 * Copyright (C) 2017-2018 Gary Kramlich <grim@reaperworld.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __GI_SCANNER__ /* hide this bit from g-ir-scanner */
#if !defined(TALKATU_GLOBAL_HEADER_INSIDE) && !defined(TALKATU_COMPILATION)
#error "only <talkatu.h> may be included directly"
#endif
#endif /* __GI_SCANNER__ */

#ifndef TALKATU_HISTORY_BUFFER_H
#define TALKATU_HISTORY_BUFFER_H

#include <gtk/gtk.h>

#include <talkatu/talkatubuffer.h>
#include <talkatu/talkatumessage.h>

#define TALKATU_TYPE_HISTORY_BUFFER            (talkatu_history_buffer_get_type())
#define TALKATU_HISTORY_BUFFER(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), TALKATU_TYPE_HISTORY_BUFFER, TalkatuHistoryBuffer))
#define TALKATU_HISTORY_BUFFER_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass), TALKATU_TYPE_HISTORY_BUFFER, TalkatuHistoryBufferClass))
#define TALKATU_IS_HISTORY_BUFFER(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), TALKATU_TYPE_HISTORY_BUFFER))
#define TALKATU_IS_HISTORY_BUFFER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((obj), TALKATU_TYPE_HISTORY_BUFFER))
#define TALKATU_HISTORY_BUFFER_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj), TALKATU_TYPE_HISTORY_BUFFER, TalkatuHistoryBufferClass))

typedef struct _TalkatuHistoryBuffer           TalkatuHistoryBuffer;
typedef struct _TalkatuHistoryBufferClass      TalkatuHistoryBufferClass;

struct _TalkatuHistoryBuffer {
	TalkatuBuffer parent;

	void (*_talkatu_reserved1)(void);
	void (*_talkatu_reserved2)(void);
	void (*_talkatu_reserved3)(void);
	void (*_talkatu_reserved4)(void);
};

struct _TalkatuHistoryBufferClass {
	TalkatuBufferClass parent;

	void (*write_message)(TalkatuHistoryBuffer *buffer, TalkatuMessage *message);

	void (*_talkatu_reserved1)(void);
	void (*_talkatu_reserved2)(void);
	void (*_talkatu_reserved3)(void);
	void (*_talkatu_reserved4)(void);
};

G_BEGIN_DECLS

GType talkatu_history_buffer_get_type(void);

GtkTextBuffer *talkatu_history_buffer_new(void);

void talkatu_history_buffer_write_message(TalkatuHistoryBuffer *buffer, TalkatuMessage *message);

G_END_DECLS

#endif /* TALKATU_HISTORY_BUFFER_H */
