/*
 * talkatu
 * Copyright (C) 2017-2018 Gary Kramlich <grim@reaperworld.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __GI_SCANNER__ /* hide this bit from g-ir-scanner */
#if !defined(TALKATU_GLOBAL_HEADER_INSIDE) && !defined(TALKATU_COMPILATION)
#error "only <talkatu.h> may be included directly"
#endif
#endif /* __GI_SCANNER__ */

#ifndef TALKATU_MENU_TOOL_BUTTON_H
#define TALKATU_MENU_TOOL_BUTTON_H

#include <gtk/gtk.h>

#define TALKATU_TYPE_MENU_TOOL_BUTTON            (talkatu_menu_tool_button_get_type())
#define TALKATU_MENU_TOOL_BUTTON(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), TALKATU_TYPE_MENU_TOOL_BUTTON, TalkatuMenuToolButton))
#define TALKATU_MENU_TOOL_BUTTON_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass), TALKATU_TYPE_MENU_TOOL_BUTTON, TalkatuMenuToolButtonClass))
#define TALKATU_IS_MENU_TOOL_BUTTON(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), TALKATU_TYPE_MENU_TOOL_BUTTON))
#define TALKATU_IS_MENU_TOOL_BUTTON_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass), TALKATU_TYPE_MENU_TOOL_BUTTON))
#define TALKATU_MENU_TOOL_BUTTON_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj), TALKATU_TYPE_MENU_TOOL_BUTTON, TalkatuMenuToolButtonClass))

typedef struct _TalkatuMenuToolButton           TalkatuMenuToolButton;
typedef struct _TalkatuMenuToolButtonPrivate    TalkatuMenuToolButtonPrivate;
typedef struct _TalkatuMenuToolButtonClass      TalkatuMenuToolButtonClass;

#include <glib.h>
#include <glib-object.h>

#include <gtk/gtk.h>

struct _TalkatuMenuToolButton {
	GtkToolButton parent;

	/*< private >*/
	void (*_talkatu_reserved1)(void);
	void (*_talkatu_reserved2)(void);
	void (*_talkatu_reserved3)(void);
	void (*_talkatu_reserved4)(void);
};

struct _TalkatuMenuToolButtonClass {
	GtkToolButtonClass parent;

	/*< private >*/
	void (*_talkatu_reserved1)(void);
	void (*_talkatu_reserved2)(void);
	void (*_talkatu_reserved3)(void);
	void (*_talkatu_reserved4)(void);
};

G_BEGIN_DECLS

GType talkatu_menu_tool_button_get_type(void);

GtkToolItem *talkatu_menu_tool_button_new(const gchar *label, const gchar *icon_name, GtkWidget *menu);

GtkWidget *talkatu_menu_tool_button_get_menu(TalkatuMenuToolButton *menu_button);
void talkatu_menu_tool_button_set_menu(TalkatuMenuToolButton *menu_button, GtkWidget *menu);

G_END_DECLS

#endif /* TALKATU_MENU_TOOL_BUTTON_H */
