/*
 * talkatu
 * Copyright (C) 2017-2018 Gary Kramlich <grim@reaperworld.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __GI_SCANNER__ /* hide this bit from g-ir-scanner */
#if !defined(TALKATU_GLOBAL_HEADER_INSIDE) && !defined(TALKATU_COMPILATION)
#error "only <talkatu.h> may be included directly"
#endif
#endif /* __GI_SCANNER__ */

#ifndef TALKATU_TAG_H
#define TALKATU_TAG_H

#include <glib.h>
#include <glib-object.h>

#include <gtk/gtk.h>

#define TALKATU_TAG_BOLD          ("bold")
#define TALKATU_TAG_ITALIC        ("italic")
#define TALKATU_TAG_UNDERLINE     ("underline")
#define TALKATU_TAG_STRIKETHROUGH ("strikethrough")
#define TALKATU_TAG_SUBSCRIPT     ("subscript")
#define TALKATU_TAG_SUPERSCRIPT   ("superscript")
#define TALKATU_TAG_PRE           ("pre")
#define TALKATU_TAG_CODE          ("code")
#define TALKATU_TAG_SEARCH        ("search")
#define TALKATU_TAG_H1            ("h1")
#define TALKATU_TAG_H2            ("h2")
#define TALKATU_TAG_H3            ("h3")
#define TALKATU_TAG_H4            ("h4")
#define TALKATU_TAG_H5            ("h5")
#define TALKATU_TAG_H6            ("h6")
#define TALKATU_TAG_ANCHOR        ("a")

G_BEGIN_DECLS

const gchar *talkatu_tag_name_for_action_name(const gchar *action_name);

G_END_DECLS

#endif /* TALKATU_TAG_H */
